<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Reports">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Generating, Downloading, Viewing, E-mailing, Cloning and Deleting Reports</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#16-reports/generating-downloading-viewing-sharing-reports.html">Open topic with navigation</a>
        </p>
        <h1>Generating, Downloading, Viewing, E-mailing, Cloning and Deleting Reports</h1>
        <p style="font-weight: normal;">A report clearly presents project data in a distributable and tangible output format. It organizes your findings into relevant sections, displays charts and graphs for statistical data, and summarizes major findings. This is extremely useful when you need to share information with people  who do not have access to <span class="VariablesProductName">Metasploit Pro</span> or who want to quickly process your test results. </p>
        <p style="font-weight: normal;">All tasks related to reports, such as generating, downloading, e-mailing, and deleting them, can be performed from the Reports area of the web interface. </p>
        <h2>Notification Center Statuses for Reports</h2>
        <p>When you generate a report, the Notification Center  alerts you when a report has started generating, finished generating, or encountered an error during generation. The Notification&#160;Center appears as an icon in the upper-right corner of the global toolbar and  displays the total number of  unread notifications. You can click on the Notification&#160;Center icon to display a list of  alerts. </p>
        <p>
            <img src="../Resources/Images/reports/reports-notification_565x154.png" style="width: 565;height: 154;" />
        </p>
        <p>The Notification&#160;Center displays the following statuses for reports: </p>
        <ul>
            <li value="1"><b>Report started</b> - This status indicates that the report has started generating. </li>
            <li value="2"><b>Report finished</b> -This status indicates that the report was generated without errors and is ready for you to view and download. You can click on the alert to open the report. When you open the report from the Notification Center, it displays a unified view of the report and shows the formats that are available for it. You can click on any of the format icons to view the report in the selected format. <br /></li>
            <li value="3"><b>Problem with report</b> - This status indicates that there was an issue with the report and it was not able to finish. You will need to view the report log to troubleshoot the issue. For more information on report logs, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="about-reports.html#Report" class="online MCXref xref xrefonline">Report Logs</a></MadCap:conditionalText>.</li>
        </ul>
        <h2><a name="Generati"></a>Generating a Standard Report</h2>
        <ol start="1">
            <li value="1">Open the project that contains the data you want to use to create a report. </li>
            <li value="2">Select <b class="UISelection">Reports &gt;&#160;Create Standard Report</b> from the Project tab bar. <br /><br /><img src="../Resources/Images/reports/reports-create-standard-report_538x75.png" title="Reports menu" alt="Reports menu" style="width: 538;height: 75;" /><br /><br />The <b class="UISelection">Reports</b> page appears with the Generate Standard Report tab selected. </li>
            <li value="3">Click the <b class="UISelection">Report type</b> dropdown and choose the report you want to generate. <br /><br /><img src="../Resources/Images/reports/reports-type-list_537x116.png" title="Report types" alt="Report types" style="width: 537;height: 116;" /><br /><br />For more information on the report types that are available, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="report-types.html" class="online MCXref xref xrefonline" data-mc-conditions="Pro_Help_Conditions.OnlineOnly">Metasploit Report Types</a></MadCap:conditionalText>. </li>
            <li value="4">Choose the file formats you want to generate for the report.<br /><br /><img src="../Resources/Images/reports/reports-formats_538x85.png" style="width: 538;height: 85;" title="Report format" alt="Report format" /><br /><br />You can generate multiple formats for a report at the same time. Most reports can be generated as PDF, Word, RTF, or HTML documents; however, the Web Application Assessment Report cannot be generated as a Word file. </li>
            <li value="5">Enter a name for the report in the <b class="UISelection">Report Name</b> field. (Optional)<br /><br /><img src="../Resources/Images/reports/reports-name_536x43.png" title="Report name" alt="Report name" style="width: 536;height: 43;" /></li>
        </ol>
        <p class="NoBulletListIndent">&#160;</p>
        <p class="NoBulletListIndent">If you do not specify a name, Metasploit Pro uses the report type and the timestamp. For example, an Audit Report will be named <code>Audit-20140106140552</code>. </p>
        <ol data-mc-continue="true">
            <li value="6">Use the <b class="UISelection">Included addresses</b> to explicitly define the hosts you want to include in the report. (Optional)<br /><br />For example, if you only want to include specific hosts in the report, you should define those hosts in the <b class="UISelection">Included Addresses</b> field. All other hosts will not be included in the report. </li>
            <li value="7">Use the <b class="UISelection">Excluded addresses</b> to explicitly define the hosts you want to exclude from the report. (Optional) <br /></li>
        </ol>
        <p class="NoBulletListIndent">For example, if you only want to exclude specific hosts from the report, you should specify those hosts in the <b class="UISelection">Excluded Addresses</b> field. All other hosts will be included in the report. </p>
        <ol data-mc-continue="true">
            <li value="8">Click the <b class="UISelection">Campaign</b> dropdown and select the campaign you want to use to create a report. (Social engineering reports only)<br /><br />The report form only displays the campaigns that are stored in the project. </li>
            <li value="9">Click the <b class="UISelection">Cover&#160;Logo</b> dropdown and select the logo that you want to use on the cover page of the report. <br /><br /><img src="../Resources/Images/reports/reports-cover-logo_538x44.png" title="Cover logo" alt="Cover logo" style="width: 538;height: 44;" /><br /><br />If you have not uploaded a logo to the project,  you must upload the logo that you want to use to the Custom Report Collateral area of the project. For more information on uploading a logo, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="customizing-standard-reports.html#Adding" class="online MCXref xref xrefonline">Adding a Custom Logo to a Report</a></MadCap:conditionalText>.</li>
            <li value="10">Select the report sections that you want to include in the report. <br /><br />The report sections that are available will vary between reports. For more information on the sections available for each report, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="report-types.html#Understa" target="_blank" class="online MCXref xref xrefonline">Understanding Report Types</a></MadCap:conditionalText>. </li>
            <li value="11">Enable or disable any report options to manage the data that appears in the report. <br /><br />The report form displays the options that are applicable for the report type that you have selected. <br /><br />The following report options may be available:<br /></li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><em>Mask discovered passwords</em> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. The report displays the user name and a blank password.<br /></li>
            <li class="indentedList" value="2"><em>Include session details</em> - Shows the details for each session Metasploit Pro was able to open, such as the session type and attack module that Metasploit Pro used to obtain the session.<br /></li>
            <li class="indentedList" value="3"><em>Include charts and graphs</em> - Includes visual aids, such as pie graphs, to accompany statistical findings in a report.</li>
            <li class="indentedList" value="4"><i>Include web page HTML (in addition to image preview)</i> -  Includes the original page code as raw text as well as the rendered preview image. (Social Engineering Campaign Details Report only)</li>
        </ul>
        <ol start="12">
            <li value="12">Enter the e-mail addresses you want to send the report to after the report generation. (Optional)<br /><br />You can use a comma or semi-colon to separate multiple e-mail addresses. <br /><br />To e-mail a report, you must have an active mail server configured through the Global Settings. For more information on setting up a mail server, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="../04-administration-old/defining-smtp-settings.html" class="online MCXref xref xrefonline">Defining SMTP Settings for a Mail Server</a><a href="../04-administration-old/defining-smtp-settings.html" class="online MCXref xref xrefonline">Defining SMTP Settings for a Mail Server</a></MadCap:conditionalText>. <br /></li>
            <li value="13">Generate the report. <br /><br />When the report generation begins, the web interface redirects you to the View&#160;Reports tab. At this point, you can navigate away from the Reports page to other areas in <span class="VariablesProductName">Metasploit Pro</span>. The Notification Center will alert you when the report generation completes. <br /><br />When the report generation completes, you can click on the Notification Center icon to view the notification message or you can select<b class="UISelection"> Reports &gt;&#160;Show Reports</b> from the Project tab bar to access the Reports area. <br /><br />If an error occurred during report generation, you can view the report log to identify and troubleshoot any errors that occurred. For more information on report logs, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="about-reports.html#Report" class="online MCXref xref xrefonline">Report Logs</a></MadCap:conditionalText>.</li>
        </ol>
        <h3>Generating Additional Formats for a Report</h3>
        <ol data-mc-continue="true">
            <li value="1">Open the project that contains the report for which you want to generate additional formats. </li>
            <li value="2">Select <b class="UISelection">Show Reports</b> from the Project tab bar. The <b class="UISelection">Show Reports</b> page appears. </li>
            <li value="3">Find the row that contains the report for which you want to generate additional formats. <br /><br />The row shows the metadata and the file formats that are available for the report. </li>
            <li value="4">Click on the report name to open it.   <br /><br />The unified report view will open and display a preview of the report. The formats that are available for the report will be displayed in the sidebar. Formats that have a colored icon and checkbox have already been generated. Formats that are grayed out have not been generated. </li>
            <li style="text-align: left;" value="5">Click on the file format that you want to generate for the report. You can only generate one format at a time.<br /><br /><img src="../Resources/Images/reports/reports-generate-additional-formats_495x225.png" title="Report format icon" alt="Report format icon" style="width: 495;height: 225;" /></li>
            <li class="indentedListNextLine" value="6" data-mc-autonum=""><span class="autonumber"><span></span></span>When the report generation begins, the format button will be replaced with a progress indicator. The format button will reappear when the report is ready for you to view or download. </li>
            <li class="indentedListNextLine" value="7" data-mc-autonum=""><span class="autonumber"><span></span></span>At this point, you can navigate away from the Reports page to other areas in <span class="VariablesProductName">Metasploit Pro</span>. The Notification Center will alert you when the report generation completes. </li>
            <li class="indentedListNextLine" value="8" data-mc-autonum=""><span class="autonumber"><span></span></span>When the report generation completes, you can click on the Notification Center icon to view the latest notification message or you can select<b class="UISelection"> Reports &gt;&#160;Show Reports</b> from the Project tab bar to access the Reports area. </li>
            <li class="indentedListNextLine" value="9" data-mc-autonum=""><span class="autonumber"><span></span></span>If an error occurred during report generation, you can view the report log to identify and troubleshoot any errors that occurred. For more information on report logs, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="about-reports.html#Report" class="online MCXref xref xrefonline">Report Logs</a></MadCap:conditionalText>.<br /><br /></li>
        </ol>
        <h3>Generating MetaModule Reports</h3>
        <p>A&#160;MetaModule provides a guided interface to walk you through a single penetration testing task. Each MetaModule leverages the core functionality of a module, such as password testing, but enables you to quickly configure and run the module with minimal set up. Each MetaModule includes a specialized report, which contains data that is specific to the MetaModule run. </p>
        <p>MetaModule reports are configured from within the MetaModule and are generated when the MetaModule runs. After the MetaModule generates the report, you can view the report from the Reports area.  For more information on MetaModule reports, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]></MadCap:conditionalText>.</p>
        <p>
            <img src="../Resources/Images/reports/reports-metamodules_397x293.png" title="MetaModule reports" alt="MetaModule reports" style="width: 397;height: 293;" />
        </p>
        <h2><a name="Generati2"></a>Generating a Custom&#160;Report</h2>
        <p>A custom report  is created using a user-uploaded Jasper report template. 
The template defines the layout of the report and the sections that the report contains. You can create a report template from scratch using a tool like iReport. For more information on custom templates, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="working-custom-templates.html" class="online MCXref xref xrefonline">Working with Custom Templates</a></MadCap:conditionalText>. </p>
        <p>Before you can generate a custom report, you must upload the template that you want to use to the Custom Report Collateral area of the project. If the project does not contain any custom report templates, the New Custom Report form will not load. Instead, the form displays a warning that the project does not contain any templates. You must upload a valid JRXML template to continue. For more information on uploading a custom template, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="working-custom-templates.html#Uploadin" class="online MCXref xref xrefonline">Uploading Templates</a></MadCap:conditionalText>. </p>
        <p class="leadin">To generate a custom report:</p>
        <ol start="1">
            <li value="1">Open the project that contains the data you want to use to create a report. </li>
            <li value="2">Select <b class="UISelection">Reports &gt;&#160;Create Custom Report</b> from the Project tab bar. The <b class="UISelection">New Custom Report</b> page appears. <br /><br /><img src="../Resources/Images/reports/reports-create-custom-report_538x75.png" title="Create custom report" alt="Create custom report" style="width: 538;height: 75;" /></li>
            <li value="3">Select the template you want to use to create the report.</li>
            <li value="4">Choose the file formats you want to generate for the report. <br /><br /><img src="../Resources/Images/reports/reports-formats_543x86.png" title="Report formats" alt="Report formats" style="width: 543;height: 86;" /><br /><br />You can select multiple formats. All formats will be generated for the  report at the same time. </li>
            <li value="5">Enter a name for the report in the <b class="UISelection">Report Name</b> field. (Optional)<br /><br /><img src="../Resources/Images/reports/reports-custom-report-name_543x46.png" title="Report name" alt="Report name" style="width: 543;height: 46;" /></li>
        </ol>
        <p class="NoBulletListIndent">If you do not specify a name, Metasploit Pro uses the report type and the timestamp. For example, an custom report will be named <code>Custom-20140106140552</code>. </p>
        <ol data-mc-continue="true">
            <li value="6">Use the <b class="UISelection">Included addresses</b> to explicitly define the hosts you want to include in the report. (Optional)<br /><br />For example, if you only want to include specific hosts in the report, you should define those hosts in the <b class="UISelection">Included Addresses</b> field. All other hosts will not be included in the report. </li>
            <li value="7">Use the <b class="UISelection">Excluded addresses</b> to explicitly define the hosts you want to exclude from the report. (Optional) <br /></li>
        </ol>
        <p class="NoBulletListIndent">For example, if you only want to exclude specific hosts from the report, you should specify those hosts in the <b class="UISelection">Excluded Addresses</b> field. All other hosts will be included in the report. </p>
        <ol data-mc-continue="true">
            <li value="8">Click the <b class="UISelection">Cover Logo</b> dropdown menu and select the logo you want to display on the cover page of the report. (Optional)<br /><br /><img src="../Resources/Images/reports/reports-cover-logo_544x45.png" title="Cover logo" alt="Cover logo" style="width: 544;height: 45;" /><br /><br />If you do not select a logo, the report will use the default Rapid7 logo. </li>
            <li value="9">Enter the e-mail addresses you want to send the report to after the report generates. (Optional)<br /><br />You can use a comma or semi-colon to separate multiple e-mail addresses. <br /><br />To e-mail a report, you must have an active mail server configured through the Global Settings. For more information on setting up a mail server, see <MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="../04-administration-old/defining-smtp-settings.html" class="online MCXref xref xrefonline">Defining SMTP Settings for a Mail Server</a></MadCap:conditionalText>. <br /><br /></li>
            <li value="10">Generate the report. <br /><br />When the report generation begins, the web interface redirects you to the View&#160;Reports tab. At this point, you can navigate away from the Reports page to other areas in <span class="VariablesProductName">Metasploit Pro</span>. The Notification Center will alert you when the report generation completes. <br /><br />When the report generation completes, you can click on the Notification Center icon to view the notification message or you can select<b class="UISelection"> Reports &gt;&#160;Show Reports</b> from the Project tab bar to access the Reports area. <br /><br />If an error occurred during report generation, you can view the report log to identify and troubleshoot any errors that occurred. For more information on report logs, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="about-reports.html#Report" class="online MCXref xref xrefonline">Report Logs</a></MadCap:conditionalText>.</li>
        </ol>
        <h2><a name="Download"></a>Downloading a Report</h2>
        <ol>
            <li value="1">Open the project that contains the report you want to download. </li>
            <li value="2">Select <b class="UISelection">Reports &gt;&#160;Show Reports</b> from the Project tab bar. The <b class="UISelection">Reports</b> page appears. <br /><br /><img src="../Resources/Images/reports/reports-show-reports_534x73.png" title="Show reports" alt="Show reports" style="width: 534;height: 73;" /></li>
            <li value="3">Find the row that contains the report you want to view. <br /><br />The row  displays the metadata and the file formats that have been generated for the report. </li>
            <li value="4">Click on the report name to open it.   <br /><br />The unified report view will open and display a preview of the report. <br /></li>
            <li value="5">Select the formats you want to download. <br /><br /><img src="../Resources/Images/reports/reports-select-format_453x214.png" title="Unified report view" alt="Unified report view" style="width: 453;height: 214;" /><br /><br />The formats that are available for the report will have an active checkbox located next to them. </li>
            <li value="6">Click the <b class="UISelection">Download</b> button located under the Report Actions area. <br /><br /><img src="../Resources/Images/reports/reports-download-button_142x64.png" title="Download button" alt="Download button" style="width: 142;height: 64;" /><br /><br />The download process will automatically start. <br /><br />If your browser is not configured to automatically download files, a dialog window will appear and prompt you to save or run the file. You will need to save the report to  your computer. </li>
        </ol>
        <h2><a name="Viewing"></a>Viewing a Report</h2>
        <ol>
            <li value="1">Open the project that contains the report you want to view. </li>
            <li value="2">Select <b class="UISelection">Reports &gt;&#160;Show Reports</b> from the Project tab bar. The <b class="UISelection">Reports</b> page appears. <br /><br /><img src="../Resources/Images/reports/reports-show-reports_534x73.png" style="width: 534;height: 73;" /></li>
            <li value="3">Find the row that contains the report you want to view. <br /><br /><img src="../Resources/Images/reports/reports-row_530x147.png" title="Reports list" alt="Reports list" style="width: 530;height: 147;" /><br /><br />The row  displays the metadata and the file formats that have been generated for the report. </li>
            <li value="4">Click on the format that you want to view the report in. <br /><br />The report will open in your browser. </li>
        </ol>
        <h2><a name="E-mailin"></a>E-mailing a Report</h2>
        <p>You can quickly share reports by e-mailing them as soon as they are generated. Both the standard and custom report generation forms have an <b class="UISelection">Email Report</b> field that enables you to define a list of e-mail recipients. </p>
        <p>
            <img src="../Resources/Images/reports/reports-email-field_565x88.png" title="E-mail report" alt="E-mail report" style="width: 565;height: 88;" />
        </p>
        <p>As long as you have a valid mail server configured for your <span class="VariablesProductName">Metasploit Pro</span> instance, the report will automatically be sent to the e-mails you have listed. </p>
        <h3>Setting Up a Mail Server
</h3>
        <p>
In order to utilize e-mail capabilities, you must have access to a local mail server or a web mail server. You need the address and port that the mail server runs on, the domain name that hosts the mail service, and the credentials for the mail server. </p>
        <p>For more information on setting up a mail server, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="../04-administration-old/defining-smtp-settings.html" class="online MCXref xref xrefonline">Defining SMTP Settings for a Mail Server</a></MadCap:conditionalText>.</p>
        <h2>Cloning a Report Configuration</h2>
        <p>You can clone a report to make a copy of an existing report's configuration. Report cloning enables you to reuse and rerun a previously generated report. You can modify the configuration or run it as it is.</p>
        <p class="leadin">To clone a report: </p>
        <ol>
            <li value="1">Open the project that contains the report you want to delete. </li>
            <li value="2">Select <b class="UISelection">Reports &gt;&#160;Show Reports</b> from the Project tab bar. <br /><br /><img src="../Resources/Images/reports/reports-show-reports_543x75.png" title="Reports menu" alt="Reports menu" style="width: 543;height: 75;" /><br /><br />The <b class="UISelection">Reports</b> page appears. </li>
            <li value="3">Find the row that contains the report that you want to clone. <br /><br /><img src="../Resources/Images/reports/reports-row_539x150.png" title="Reports list" alt="Reports list" style="width: 539;height: 150;" /><br /></li>
            <li value="4">Click the <b class="UISelection">Clone</b> link located under the Actions column.<br /><br /><img src="../Resources/Images/reports/reports-clone-link_539x105.png" title="Clone link" alt="Clone link" style="width: 539;height: 105;" /><br /><br />The New Report form appears.&#160;The form retains the configuration settings that you used to generate the original report. </li>
        </ol>
        <h2>Deleting Reports</h2>
        <p>When you delete a report, it will be permanently removed from the Reports directory, and you will no longer be able to view it from the Reports area of the web interface. Please make sure that you have the data that you need from the report before you delete it. </p>
        <p class="leadin">To delete a report:</p>
        <ol>
            <li value="1">Open the project that contains the report you want to delete. </li>
            <li value="2">Select <b class="UISelection">Reports &gt;&#160;Show Reports</b> from the Project tab bar. <br /><br /><img src="../Resources/Images/reports/reports-show-reports_534x73.png" title="Reports menu" alt="Reports menu" style="width: 534;height: 73;" /><br /><br />The <b class="UISelection">Reports</b> page appears. </li>
            <li value="3">Select the report or reports that you want to delete. <br /></li>
            <li value="4">Click the <b class="UISelection">Delete</b> button located in the Quick Tasks bar. <br /><br /><img src="../Resources/Images/reports/reports-delete-report_536x148.png" title="Delete report button" alt="Delete report button" style="width: 536;height: 148;" /><br /><br />The browser will ask you to confirm that you want to delete the report. </li>
            <li value="5">Select <b class="UISelection">OK</b> to delete the report. </li>
        </ol>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Customizing Standard Reports|customizing-standard-reports.html||Exporting Data|exporting-project-data.html||Metasploit Report Types|report-types.html||Working with Custom Templates|working-custom-templates.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>